CGAL 5.6.3 - 3D Simplicial Mesh Data Structures

Loading...
Searching...
No Matches
Functions
Export Functions
3D Simplicial Mesh Data Structures Reference

##

The free functions that can be used to export meshes to given output file formats.

## Functions
template<class C3T3 >
void | CGAL::IO::output_to_avizo (std::ostream &os, const C3T3 &c3t3)
| exports a mesh complex to the Avizo (`.am`) file format
template<class C3T3 >
void | CGAL::IO::output_to_tetgen (std::string filename, const C3T3 &c3t3, bool rebind=false, bool show_patches=false)
| exports a mesh complex to tetgen format
template<class C3T3 >
void | CGAL::IO::output_to_vtu (std::ostream &os, const C3T3 &c3t3, Mode mode=BINARY)
| exports a tetrahedral mesh complex using the `UnstructuredGrid` XML format.

## Function Documentation

## ◆ output_to_avizo()

template<class C3T3 >

void CGAL::IO::output_to_avizo | ( | std::ostream & | os,
|  | const C3T3 & | c3t3
| ) |  |

`#include <CGAL/IO/File_avizo.h>`

exports a mesh complex to the Avizo (`.am`) file format

Template Parameters

  C3T3 | a class model of `MeshComplex_3InTriangulation_3`

Parameters

  os | the output stream
  c3t3 | the mesh complex

See also
  Avizo File Format

## ◆ output_to_tetgen()

template<class C3T3 >

void CGAL::IO::output_to_tetgen | ( | std::string | filename,
|  | const C3T3 & | c3t3,
|  | bool | rebind = `false`,
|  | bool | show_patches = `false`
| ) |  |

`#include <CGAL/IO/File_tetgen.h>`

exports a mesh complex to tetgen format

Parameters

  filename | the path to the output files, without the extension.
  c3t3 | the mesh complex
  rebind | if true, labels of cells are rebinded into [1..nb_of_labels]
  show_patches | if true, patches are labeled with different labels than cells. If false, each surface facet is written twice, using the label of each adjacent cell.

See also
  Tetgen File Format

## ◆ output_to_vtu()

template<class C3T3 >

void CGAL::IO::output_to_vtu | ( | std::ostream & | os,
|  | const C3T3 & | c3t3,
|  | Mode | mode = `BINARY`
| ) |  |

`#include <CGAL/IO/output_to_vtu.h>`

exports a tetrahedral mesh complex using the `UnstructuredGrid` XML format.

Template Parameters

  C3T3 | a model of `MeshComplexWithFeatures_3InTriangulation_3`.

Parameters

  os | the stream used for writing
  c3t3 | the mesh complex
  mode | decides if the data should be written in binary (`IO::BINARY`) or in ASCII (`IO::ASCII`). If the mode is binary, then the stream `os` must be opened in binary mode.

See also
  VTK (VTU / VTP) File Formats